#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 34. GNOME Applications

- Prev

  Seahorse-3.38.1

- Next

  Xfce

- Up
- Home

# Vinagre-3.22.0

## Introduction to Vinagre

Vinagre is a VNC client for the GNOME Desktop.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/vinagre/3.22/vinagre-3.22.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/vinagre/3.22/vinagre-3.22.0.tar.xz

- Download MD5 sum: 451554ddf46636105cd5f0330e98d254

- Download size: 1.5 MB

- Estimated disk space required: 25 MB

- Estimated build time: 0.2 SBU

### Vinagre Dependencies

#### Required

gtk-vnc-1.0.0, itstool-2.0.6, and libsecret-0.20.4

#### Recommended

telepathy-glib-0.24.2, Vala-0.50.3, and VTE-0.62.3

#### Optional

Avahi-0.8, appstream-glib, FreeRDP (For connecting to Windows desktops), and Spice-GTK

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/vinagre

## Installation of Vinagre

First fix an issue exposed by GCC-10:

    sed -e '/_VinagreVnc/i gboolean scaling_command_line;' \
        -i plugins/vnc/vinagre-vnc-connection.c &&
    sed -e '/scaling_/s/^/extern /' \
        -i plugins/vnc/vinagre-vnc-connection.h

Install Vinagre by running the following commands:

    ./configure --prefix=/usr \
                --enable-compile-warnings=minimum &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-compile-warnings=minimum`: This switch disables compiler warnings that can cause the build to fail when built under GCC6.

## Contents

Installed Programs: vinagre
Installed Libraries: None
Installed Directories: /usr/share/help/*/vinagre and /usr/share/vinagre

### Short Descriptions

vinagre | is a remote desktop viewer for the GNOME Desktop

Last updated on 2021-02-25 11:57:49 -0800

- Prev

  Seahorse-3.38.1

- Next

  Xfce

- Up
- Home